Name:           gobby
Version:        0.4.13
Release:        8%{?dist}
Summary:        Free collaborative editor

Group:          Applications/Internet
License:        GPLv2+
URL:            http://gobby.0x539.de
Source0:        http://releases.0x539.de/gobby/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

# Applied in upstream commit 2ccc67c
#Patch0:          0001-Fix-a-build-failure-when-compiled-using-glibmm-2.31-.patch

BuildRequires:  libxml++-devel, gtksourceview2-devel, gtkmm24-devel, obby-devel
BuildRequires:  desktop-file-utils, libXau-devel, libXdmcp-devel
BuildRequires:  gnome-vfs2-devel, gettext-devel
BuildRequires:  avahi-devel, avahi-glib-devel
BuildRequires:  intltool
BuildRequires:  gtkspell-devel

%description
Gobby is a free collaborative editor. This means that it provides you with the
possibility to edit files simultaneously with other users over a network. It
supports multiple documents in one session and a multi-user chat. The platforms
on which you could use Gobby are so far Microsoft Windows, Linux, Mac OS X and
other Unix-like ones. Developed with the Gtk+ toolkit it integrates nicely into
the GNOME desktop environment if you want it to.


%prep
%setup -q
#%patch0 -p1 -b .glibmm


%build
%configure --with-gnome --with-gtkspell=yes
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

desktop-file-install \
        --dir ${RPM_BUILD_ROOT}%{_datadir}/applications         \
        --add-category X-Fedora                                 \
        --delete-original                                       \
        $RPM_BUILD_ROOT%{_datadir}/applications/gobby.desktop

# Register as an application to be visible in the software center
#
# NOTE: It would be *awesome* if this file was maintained by the upstream
# project, translated and installed into the right place during `make install`.
#
# See http://www.freedesktop.org/software/appstream/docs/ for more details.
#
mkdir -p $RPM_BUILD_ROOT%{_datadir}/appdata
cat > $RPM_BUILD_ROOT%{_datadir}/appdata/%{name}.appdata.xml <<EOF
<?xml version="1.0" encoding="UTF-8"?>
<!-- Copyright 2014 Richard Hughes <richard@hughsie.com> -->
<!--
EmailAddress: armin@0x539.de
SentUpstream: 2014-09-23
-->
<component type="desktop">
  <id>gobby.desktop</id>
  <metadata_license>CC0-1.0</metadata_license>
  <description>
    <p>
      Gobby is a free collaborative editor supporting multiple documents in one session and a multi-user chat.
      It runs on Microsoft Windows, Mac OS X, Linux and other Unix-like platforms.
    </p>
    <p>
      It uses GTK+ 2.6 as its windowing toolkit and thus integrates nicely into the GNOME desktop environment.
    </p>
    <p>
      This is the stable 0.4 version of gobby.
    </p>
  </description>
  <url type="homepage">http://gobby.0x539.de/</url>
  <screenshots>
    <screenshot type="default">
      <image>http://gobby.0x539.de/screenshots/gobby-0.4.8-linux_kde4.png</image>
    </screenshot>
    <screenshot>
      <image>http://gobby.0x539.de/screenshots/gobby-0.4.5-linux.png</image>
    </screenshot>
  </screenshots>
  <updatecontact>obby-users(@)list.0x539.de</updatecontact>
</component>
EOF
%find_lang %{name}


%post
update-desktop-database &> /dev/null ||:
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :
touch --no-create %{_datadir}/icons/HighContrastLargePrint &>/dev/null || :
touch --no-create %{_datadir}/icons/HighContrastLargePrintInverse &>/dev/null || :

%postun
update-desktop-database &> /dev/null ||:
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

    touch --no-create %{_datadir}/icons/HighContrastLargePrint &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/HighContrastLargePrint &>/dev/null || :

    touch --no-create %{_datadir}/icons/HighContrastLargePrintInverse &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/HighContrastLargePrintInverse &>/dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
gtk-update-icon-cache %{_datadir}/icons/HighContrastLargePrint &>/dev/null || :
gtk-update-icon-cache %{_datadir}/icons/HighContrastLargePrintInverse &>/dev/null || :

%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc README NEWS AUTHORS COPYING ChangeLog
%{_bindir}/gobby
%{_datadir}/gobby
%{_datadir}/appdata/*.appdata.xml
%{_datadir}/applications/*gobby.desktop
%{_datadir}/icons/hicolor/48x48/apps/gobby.png
%{_datadir}/icons/hicolor/scalable/apps/gobby.svg
%{_datadir}/icons/HighContrastLargePrint/48x48/apps/gobby.png
%{_datadir}/icons/HighContrastLargePrint/scalable/apps/gobby.svg
%{_datadir}/icons/HighContrastLargePrintInverse/48x48/apps/gobby.png
%{_datadir}/icons/HighContrastLargePrintInverse/scalable/apps/gobby.svg
%{_mandir}/man1/*


%changelog
* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.13-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Wed Apr 29 2015 Kevin Fenzi <kevin@scrye.com> 0.4.13-7
- Rebuild for new gcc

* Thu Mar 26 2015 Richard Hughes <rhughes@redhat.com> - 0.4.13-6
- Add an AppData file for the software center

* Mon Mar 02 2015 Kevin Fenzi <kevin@scrye.com> 0.4.13-5
- Rebuild for new gcc 5

* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.13-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.13-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.13-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Tue Jul 23 2013 Jon Ciesla <limburgher@gmail.com> - 0.4.13-1
- Update to 0.4.13 to fix FTBFS.

* Thu Apr 11 2013 Jon Ciesla <limburgher@gmail.com> - 0.4.12-11
- Drop desktop vendor tag.

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.12-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Mon Aug 20 2012 Luke Macken <lmacken@redhat.com> - 0.4.12-9
- Apply a patch from upstream to fix build failures with glibmm 2.31 or greater

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.12-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue Feb 28 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.12-7
- Rebuilt for c++ ABI breakage

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.12-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Nov 09 2011 Luke Macken <lmacken@redhat.com> - 0.4.12-5
- Rebuild against libpng 1.5.x

* Mon May 09 2011 Christopher Aillon <caillon@redhat.com> - 0.4.12-4
- Make sure icon cache is regenerated for HighContrastLargePrint{,Inverse} too

* Sat May 07 2011 Christopher Aillon <caillon@redhat.com> - 0.4.12-3
- Update icon cache scriptlet

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.12-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Feb  4 2011 Christopher Aillon <caillon@redhat.com> - 0.4.12-1
- Update to 0.4.12
- Enable spellcheck

* Thu Jan 14 2010 Luke Macken <lmacken@redhat.com> - 0.4.10-5
- Update the gtk icon cache.  Patch from Colin Walters (#555565)

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.10-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.10-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Jan 26 2009 Luke Macken <lmacken@redhat.com> - 0.4.10-2
- Add intltool to the build requirements

* Sun Jan 25 2009 Luke Macken <lmacken@redhat.com> - 0.4.10-1
- Update to 0.4.10

* Fri Nov 21 2008 Luke Macken <lmacken@redhat.com> - 0.4.7-2
- Change license tag to GPLv2+ (#461663)

* Thu Sep 11 2008 Luke Macken <lmacken@redhat.com> - 0.4.7-1
- Update to the latest upstream release.
- Remove the gcc4.3 patch

* Sat Jul 26 2008 Luke Macken <lmacken@redhat.com> - 0.4.6-1
- Update to the latest upstream release.

* Wed Jun 25 2008 Tomas Mraz <tmraz@redhat.com> - 0.4.5-4
- rebuild with new gnutls

* Fri Feb  8 2008 Luke Macken <lmacken@redhat.com> - 0.4.5-3
- Add a patch to fix gcc4.3 compilation errors

* Fri Feb  8 2008 Luke Macken <lmacken@redhat.com> - 0.4.5-2
- Rebuild for gcc 4.3

* Tue Aug 21 2007 Luke Macken <lmacken@redhat.com> - 0.4.5-1
- 0.4.5
- Update license tag to GPLv2

* Sat Jun 16 2007 Luke Macken <lmacken@redhat.com> - 0.4.4-1
- 0.4.4

* Wed Apr 25 2007 Luke Macken <lmacken@redhat.com> - 0.4.3-1
- 0.4.3

* Tue Mar 20 2007 Luke Macken <lmacken@redhat.com> - 0.4.2-3
- Add avahi-compat-howl-devel to BuildRequires

* Tue Mar 20 2007 Luke Macken <lmacken@redhat.com> - 0.4.2-2
- Rebuild for new obby with Zeroconf support (#232961)

* Wed Mar  7 2007 Luke Macken <lmacken@redhat.com> - 0.4.2-1
- 0.4.2
- Remove gobby-0.4.1-filepath.patch

* Mon Jan  8 2007 Luke Macken <lmacken@redhat.com> - 0.4.1-2
- Add gobby-0.4.1-filepath.patch to fix pathname corruption (Bug #219002)

* Thu Aug 31 2006 Luke Macken <lmacken@redhat.com> - 0.4.1-1
- 0.4.1

* Mon Aug 21 2006 Luke Macken <lmacken@redhat.com> - 0.4.0-10.rc4
- Remove gobby-0.4.0rc4-localedir.patch
- Add gettext-devel to BuildRequires

* Sun Aug 20 2006 Luke Macken <lmacken@redhat.com> - 0.4.0-9.rc4
- gobby-0.4.0rc4-localedir.patch

* Sun Aug 20 2006 Luke Macken <lmacken@redhat.com> - 0.4.0-8.rc4
- 0.4.0rc4

* Wed Aug  9 2006 Luke Macken <lmacken@redhat.com> - 0.4.0-7.rc3
- 0.4.0rc3

* Wed Jul 12 2006 Luke Macken <lmacken@redhat.com> - 0.4.0-6.rc2
- Rebuild

* Tue Jun 27 2006 Luke Macken <lmacken@redhat.com> - 0.4.0-5.rc2
- Rebuild

* Sun Jun 18 2006 Luke Macken <lmacken@redhat.com> - 0.4.0-4.rc2
- Rebuild against new gnutls

* Thu Jun 08 2006 Luke Macken <lmacken@redhat.com> - 0.4.0-3.rc2
- 0.4.0rc2
- Add manpage

* Sat Apr 15 2006 Luke Macken <lmacken@redhat.com> - 0.4.0-2.rc1
- Add gnome-vfs2-devel to BuildRequires

* Sat Apr 15 2006 Luke Macken <lmacken@redhat.com> - 0.4.0-1.rc1
- 0.4.0rc1
- gobby-0.4.0rc1-nodoclist.patch

* Wed Feb 15 2006 Luke Macken <lmacken@redhat.com> - 0.3.0-4
- Rebuild for Fedora Extras 5

* Sat Dec 24 2005 Luke Macken <lmacken@redhat.com> - 0.3.0-3
- Add libXdmcp-devel to BuildRequires

* Sat Dec 24 2005 Luke Macken <lmacken@redhat.com> - 0.3.0-2
- Add libXau-devel to BuildRequires

* Thu Dec 22 2005 Luke Macken <lmacken@redhat.com> - 0.3.0-1
- 0.3.0

* Sat Nov 26 2005 Luke Macken <lmacken@redhat.com> - 0.3.0-1.rc3
- Bump to 0.3.0rc3

* Wed Oct 12 2005 Luke Macken <lmacken@redhat.com> - 0.2.2-6
- Update Summary

* Mon Oct 10 2005 Luke Macken <lmacken@redhat.com> - 0.2.2-5
- Use desktop-file-install to install the desktop file

* Mon Oct 10 2005 Luke Macken <lmacken@redhat.com> - 0.2.2-4
- Add desktop-file-utils to Requires(post/postun) and remove howl-devel BR

* Fri Oct 07 2005 Luke Macken <lmacken@redhat.com> - 0.2.2-3
- Build with gnome support
- Remove unnecessary BuildRequires

* Wed Oct 05 2005 Luke Macken <lmacken@redhat.com> - 0.2.2-2
- Use find_lang macro

* Thu Sep 29 2005 Luke Macken <lmacken@redhat.com> - 0.2.2-1
- Packaged for Fedora Extras
